Subject: Re: e1000: "fix" it on thinkpad x60 / eeprom checksum read fails

From: Andrew Morton <[email-masked]>
Date: Fri, 21 Jul 2006 06:41:05 -0700

On Thu, 20 Jul 2006 10:34:23 -0700
Auke Kok <[email-masked]> wrote:

> > Okay, perhaps this should be inserted as a comment into the driver,
> > and printk should be fixed to point at this explanation?
> > 
> > Can't we enable the driver with the bad checksum, then read the _real_
> > data?
> 
> no.
> 
> We're working on a solution where we make sure that the PHY is physically 
> turned on properly before we read the EEPROM, which would be the proper fix. 
> It's completely not acceptable to run when the EEPROM checksum fails - you 
> might even be running with the wrong MAC address, or worse. Lets fix this the 
> right way instead.

A printk which helps the user to understand all this saga would be very nice.